Debian Bug report logs - #585614
Fails to open any mp3's to split

version graph

Package: mp3splt-gtk; Maintainer for mp3splt-gtk is Ryan Niebur <ryan@debian.org>; Source for mp3splt-gtk is src:mp3splt-gtk.

Reported by: Ron <ron@debian.org>

Date: Sat, 12 Jun 2010 11:09:01 UTC

Severity: serious

Tags: patch

Found in version mp3splt-gtk/0.5.6-1

Fixed in version mp3splt-gtk/0.5.6-1.2

Done: Tim Retout <diocles@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Ryan Niebur <ryanryan52@gmail.com>:
Bug#585614; Package mp3splt-gtk. (Sat, 12 Jun 2010 11:09:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ron <ron@debian.org>:
New Bug report received and forwarded. Copy sent to Ryan Niebur <ryanryan52@gmail.com>. (Sat, 12 Jun 2010 11:09:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Ron <ron@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Fails to open any mp3's to split
Date: Sat, 12 Jun 2010 20:30:20 +0930
Package: mp3splt-gtk
Version: 0.5.6-1+b1
Severity: grave

Hi Ryan,

This is the same bug we discussed a while back on IRC (and the subject
says it all really anyway).  I'm filing it here now partly as a reminder
for you (since it's been a while), partly as notice for the release team
(since including this in squeeze if it doesn't work at all seems silly),
and partly as documentation for an NMU I might do if you don't have any
reasons to object to that.

Cheers,
Ron


-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-5-amd64 (SMP w/4 CPU cores)
Locale: LANG=en_AU.UTF-8, LC_CTYPE=en_AU.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages mp3splt-gtk depends on:
ii  libatk1.0-0                 1.30.0-1     The ATK accessibility toolkit
ii  libaudclient2               2.1-1        audacious dbus remote control libr
ii  libc6                       2.10.2-7     Embedded GNU C Library: Shared lib
ii  libcairo2                   1.8.10-4     The Cairo 2D vector graphics libra
ii  libdbus-1-3                 1.2.24-1     simple interprocess messaging syst
ii  libdbus-glib-1-2            0.86-1       simple interprocess messaging syst
ii  libfontconfig1              2.8.0-2.1    generic font configuration library
ii  libfreetype6                2.3.11-1     FreeType 2 font engine, shared lib
ii  libglib2.0-0                2.24.1-1     The GLib library of C routines
ii  libgstreamer0.10-0          0.10.29-1    Core GStreamer libraries and eleme
ii  libgtk2.0-0                 2.20.1-1     The GTK+ graphical user interface 
ii  libmcs1                     0.7.1-1      Abstraction library to store confi
ii  libmowgli1                  0.6.1-1      a high performance development fra
ii  libmp3splt-mp3 [libmp3splt- 0.5.6-1      MP3 plugin for mp3splt
ii  libmp3splt-ogg [libmp3splt- 0.5.6-1      Ogg Vorbis plugin for mp3splt
ii  libmp3splt0                 0.5.6-1      library for splitting MP3 and Ogg 
ii  libpango1.0-0               1.28.0-1     Layout and rendering of internatio
ii  libsamplerate0              0.1.7-3      Audio sample rate conversion libra
ii  libxml2                     2.7.7.dfsg-2 GNOME XML library

mp3splt-gtk recommends no packages.

Versions of packages mp3splt-gtk suggests:
ii  audacious                     2.1-1      small and fast audio player which 

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Ryan Niebur <ryanryan52@gmail.com>:
Bug#585614; Package mp3splt-gtk. (Sat, 12 Jun 2010 17:15:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ryan Niebur <ryan@debian.org>:
Extra info received and forwarded to list. Copy sent to Ryan Niebur <ryanryan52@gmail.com>. (Sat, 12 Jun 2010 17:15:03 GMT) Full text and rfc822 format available.

Message #10 received at submit@bugs.debian.org (full text, mbox):

From: Ryan Niebur <ryan@debian.org>
To: Ron <ron@debian.org>, 585614@bugs.debian.org
Cc: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Re: Bug#585614: Fails to open any mp3's to split
Date: Sat, 12 Jun 2010 10:07:32 -0700
[Message part 1 (text/plain, inline)]
On Sat, Jun 12, 2010 at 08:30:20PM +0930, Ron wrote:
> Package: mp3splt-gtk
> Version: 0.5.6-1+b1
> Severity: grave
> 
> Hi Ryan,
> 
> This is the same bug we discussed a while back on IRC (and the subject
> says it all really anyway).  I'm filing it here now partly as a reminder
> for you (since it's been a while), partly as notice for the release team
> (since including this in squeeze if it doesn't work at all seems silly),
> and partly as documentation for an NMU I might do if you don't have any
> reasons to object to that.
> 

all the times before on IRC I had said "make a bug report".

I don't remember to do things without a bug report.

anyways, I'll look this weekend.

Cheers,
Ryan

-- 
_________________________
Ryan Niebur
ryanryan52@gmail.com
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Ryan Niebur <ryanryan52@gmail.com>:
Bug#585614; Package mp3splt-gtk. (Sat, 12 Jun 2010 17:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ryan Niebur <ryan@debian.org>:
Extra info received and forwarded to list. Copy sent to Ryan Niebur <ryanryan52@gmail.com>. (Sat, 12 Jun 2010 17:15:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Ryan Niebur <ryanryan52@gmail.com>:
Bug#585614; Package mp3splt-gtk. (Sat, 12 Jun 2010 17:15:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ryan Niebur <ryan@debian.org>:
Extra info received and forwarded to list. Copy sent to Ryan Niebur <ryanryan52@gmail.com>. (Sat, 12 Jun 2010 17:15:06 GMT) Full text and rfc822 format available.

Message #20 received at 585614@bugs.debian.org (full text, mbox):

From: Ryan Niebur <ryan@debian.org>
To: 585614@bugs.debian.org
Subject: Re: Bug#585614: Fails to open any mp3's to split
Date: Sat, 12 Jun 2010 10:13:33 -0700
[Message part 1 (text/plain, inline)]
On Sat, Jun 12, 2010 at 08:30:20PM +0930, Ron wrote:
> Package: mp3splt-gtk
> Version: 0.5.6-1+b1
> Severity: grave
> 
> Hi Ryan,
> 
> This is the same bug we discussed a while back on IRC (and the subject
> says it all really anyway).  I'm filing it here now partly as a reminder
> for you (since it's been a while), partly as notice for the release team
> (since including this in squeeze if it doesn't work at all seems silly),
> and partly as documentation for an NMU I might do if you don't have any
> reasons to object to that.
> 

I will take care of it this weekend.

Cheers,
Ryan

-- 
_________________________
Ryan Niebur
ryanryan52@gmail.com
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Ryan Niebur <ryanryan52@gmail.com>:
Bug#585614; Package mp3splt-gtk. (Mon, 14 Jun 2010 05:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ron <ron@debian.org>:
Extra info received and forwarded to list. Copy sent to Ryan Niebur <ryanryan52@gmail.com>. (Mon, 14 Jun 2010 05:30:03 GMT) Full text and rfc822 format available.

Message #25 received at 585614@bugs.debian.org (full text, mbox):

From: Ron <ron@debian.org>
To: 585614@bugs.debian.org
Subject: Re: Bug#585614: Fails to open any mp3's to split
Date: Mon, 14 Jun 2010 14:50:07 +0930
On Sat, Jun 12, 2010 at 10:07:32AM -0700, Ryan Niebur wrote:
> On Sat, Jun 12, 2010 at 08:30:20PM +0930, Ron wrote:
> > Package: mp3splt-gtk
> > Version: 0.5.6-1+b1
> > Severity: grave
> > 
> > Hi Ryan,
> > 
> > This is the same bug we discussed a while back on IRC (and the subject
> > says it all really anyway).  I'm filing it here now partly as a reminder
> > for you (since it's been a while), partly as notice for the release team
> > (since including this in squeeze if it doesn't work at all seems silly),
> > and partly as documentation for an NMU I might do if you don't have any
> > reasons to object to that.
> > 
> 
> all the times before on IRC I had said "make a bug report".
> I don't remember to do things without a bug report.
> anyways, I'll look this weekend.

Ok, so to add what information we actually have so far here:

It seems the original problem is a combination of user (interface) error
and the default gstreamer interface failing out on me somehow.  I have
been able to get it to work using audacious since then.  There's a bunch
of other issues still but I won't mash them in here -- the essence of
this bug is now why doesn't it work with gstreamer.  Since Ryan seemed
to recall it did, possibly we're just missing a dependency on something
he did have installed, but I don't.  We can close this one when that is
figured out.  That also does mean it's not really grave anymore, since
it's not _entirely_ disfunctional, but fixing the whatever it is that
keeps the default mode from working should probably stay RC for now.

I've confirmed this is still the case with (new) upstream 2.2.8/0.5.9

By way of consolation, I have a patch for the #581292 FTBFS, so I'm
still bug-neutral with the release team this week ;)

 Ron






Information forwarded to debian-bugs-dist@lists.debian.org, Ryan Niebur <ryanryan52@gmail.com>:
Bug#585614; Package mp3splt-gtk. (Sat, 02 Oct 2010 22:21:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tim Retout <diocles@debian.org>:
Extra info received and forwarded to list. Copy sent to Ryan Niebur <ryanryan52@gmail.com>. (Sat, 02 Oct 2010 22:21:03 GMT) Full text and rfc822 format available.

Message #30 received at 585614@bugs.debian.org (full text, mbox):

From: Tim Retout <diocles@debian.org>
To: 585614@bugs.debian.org
Cc: ron@debian.org
Subject: Re: Bug#585614: Fails to open any mp3's to split
Date: Sat, 02 Oct 2010 23:16:48 +0100
[Message part 1 (text/plain, inline)]
severity 585614 serious
thanks

The missing dependency of mp3splt-gtk appears to be
gstreamer0.10-plugins-good (and -bad, -ugly?), probably as a
"Recommends".

When run in a clean chroot, the UI freezes when I browse to a .ogg file
and click on the play button.  I'm assuming this is the same behaviour
as seen previously, and that it would also be the case for mp3s.

When just gstreamer0.10-plugins-base is installed, I still get a UI
freeze, but first I see an error in the status bar: "Error: Both
autoaudiosink and alsasink elements are missing."

With gstreamer0.10-plugins-good installed, the ogg file plays.

Downgrading to merely serious, and I'll try to get round to a delayed
NMU upload tomorrow if I don't hear anything.

Regards,

-- 
Tim Retout <diocles@debian.org>
[signature.asc (application/pgp-signature, inline)]

Severity set to 'serious' from 'grave' Request was from Tim Retout <diocles@debian.org> to control@bugs.debian.org. (Sat, 02 Oct 2010 22:21:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Ryan Niebur <ryanryan52@gmail.com>:
Bug#585614; Package mp3splt-gtk. (Sun, 03 Oct 2010 12:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to diocles@debian.org:
Extra info received and forwarded to list. Copy sent to Ryan Niebur <ryanryan52@gmail.com>. (Sun, 03 Oct 2010 12:27:03 GMT) Full text and rfc822 format available.

Message #37 received at 585614@bugs.debian.org (full text, mbox):

From: diocles@debian.org
To: 585614@bugs.debian.org
Subject: mp3splt-gtk: diff for NMU version 0.5.6-1.2
Date: Sun, 03 Oct 2010 13:23:15 +0100
tags 585614 + patch
tags 585614 + pending
thanks

Dear maintainer,

I've prepared an NMU for mp3splt-gtk (versioned as 0.5.6-1.2) and
uploaded it to DELAYED/2. Please feel free to tell me if I
should delay it longer.

Regards.
diff -u mp3splt-gtk-0.5.6/debian/control mp3splt-gtk-0.5.6/debian/control
--- mp3splt-gtk-0.5.6/debian/control
+++ mp3splt-gtk-0.5.6/debian/control
@@ -12,6 +12,7 @@
 Package: mp3splt-gtk
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, libmp3splt-mp3 | libmp3splt-plugin
+Recommends: gstreamer0.10-plugins-good
 Suggests: audacious
 Description: GTK interface to split MP3 and Ogg Vorbis files without reencoding
  Mp3Splt-project is a utility to split mp3 and ogg files selecting a
diff -u mp3splt-gtk-0.5.6/debian/changelog mp3splt-gtk-0.5.6/debian/changelog
--- mp3splt-gtk-0.5.6/debian/changelog
+++ mp3splt-gtk-0.5.6/debian/changelog
@@ -1,3 +1,11 @@
+mp3splt-gtk (0.5.6-1.2) unstable; urgency=low
+
+  * Non-maintainer upload.
+  * debian/control: Add Recommends on gstreamer0.10-plugins-good.
+    (Closes: #585614)
+
+ -- Tim Retout <diocles@debian.org>  Sun, 03 Oct 2010 12:46:50 +0100
+
 mp3splt-gtk (0.5.6-1.1) unstable; urgency=medium
 
   * Non-maintainer upload.




Added tag(s) patch. Request was from diocles@debian.org to control@bugs.debian.org. (Sun, 03 Oct 2010 12:27:05 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from diocles@debian.org to control@bugs.debian.org. (Sun, 03 Oct 2010 12:27:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Ryan Niebur <ryanryan52@gmail.com>:
Bug#585614; Package mp3splt-gtk. (Tue, 05 Oct 2010 11:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ron <ron@debian.org>:
Extra info received and forwarded to list. Copy sent to Ryan Niebur <ryanryan52@gmail.com>. (Tue, 05 Oct 2010 11:00:03 GMT) Full text and rfc822 format available.

Message #46 received at 585614@bugs.debian.org (full text, mbox):

From: Ron <ron@debian.org>
To: Tim Retout <diocles@debian.org>
Cc: 585614@bugs.debian.org
Subject: Re: Bug#585614: Fails to open any mp3's to split
Date: Tue, 5 Oct 2010 21:17:49 +1030
Hi Tim,

Thanks for adding some extra perspective to this, but it still
seems to be a bit more complicated than that :/

On Sat, Oct 02, 2010 at 11:16:48PM +0100, Tim Retout wrote:
> severity 585614 serious
> thanks
> 
> The missing dependency of mp3splt-gtk appears to be
> gstreamer0.10-plugins-good (and -bad, -ugly?), probably as a
> "Recommends".
> 
> When run in a clean chroot, the UI freezes when I browse to a .ogg file
> and click on the play button.  I'm assuming this is the same behaviour
> as seen previously, and that it would also be the case for mp3s.

Yes, it sounds like it, except ...

> When just gstreamer0.10-plugins-base is installed, I still get a UI
> freeze, but first I see an error in the status bar: "Error: Both
> autoaudiosink and alsasink elements are missing."
> 
> With gstreamer0.10-plugins-good installed, the ogg file plays.

I do have -plugins-good installed here.

For most files I toss at it, today I currently see in the bottom bar:
gstreamer error: internal data flow error

and then it hangs hard.  I tried that with both .ogg (vorbis) and mp3
files.  I did find a couple of files that it doesn't hang on - except
it doesn't actually seem to find any content in them, it both 'plays'
and shows silence in the display.  The ones that partly work all seem
to be 'oddball' files in one manner or another - they are all mono,
and at sampling rates other than 44100.  Every stereo 44100 file I've
tossed at it so far seems to hang.  The oddball files are also a mix
of .ogg and .mp3

Of gstreamer, I currently have installed:

$ dpkg -l | grep gstreamer
ii  gstreamer0.10-alsa               0.10.29-4  GStreamer plugin for ALSA
ii  gstreamer0.10-ffmpeg             0.10.10-1  FFmpeg plugin for GStreamer
ii  gstreamer0.10-plugins-base       0.10.29-4  GStreamer plugins from the "base" set
ii  gstreamer0.10-plugins-good       0.10.23-4  GStreamer plugins from the "good" set
ii  gstreamer0.10-x                  0.10.29-4  GStreamer plugins for X11 and Pango
ii  libgstreamer-plugins-base0.10-0  0.10.29-4  GStreamer libraries from the "base" set
ii  libgstreamer0.10-0               0.10.29-1  Core GStreamer libraries and elements

Cheers,
Ron






Reply sent to Tim Retout <diocles@debian.org>:
You have taken responsibility. (Tue, 05 Oct 2010 12:51:03 GMT) Full text and rfc822 format available.

Notification sent to Ron <ron@debian.org>:
Bug acknowledged by developer. (Tue, 05 Oct 2010 12:51:03 GMT) Full text and rfc822 format available.

Message #51 received at 585614-close@bugs.debian.org (full text, mbox):

From: Tim Retout <diocles@debian.org>
To: 585614-close@bugs.debian.org
Subject: Bug#585614: fixed in mp3splt-gtk 0.5.6-1.2
Date: Tue, 05 Oct 2010 12:47:14 +0000
Source: mp3splt-gtk
Source-Version: 0.5.6-1.2

We believe that the bug you reported is fixed in the latest version of
mp3splt-gtk, which is due to be installed in the Debian FTP archive:

mp3splt-gtk_0.5.6-1.2.diff.gz
  to main/m/mp3splt-gtk/mp3splt-gtk_0.5.6-1.2.diff.gz
mp3splt-gtk_0.5.6-1.2.dsc
  to main/m/mp3splt-gtk/mp3splt-gtk_0.5.6-1.2.dsc
mp3splt-gtk_0.5.6-1.2_amd64.deb
  to main/m/mp3splt-gtk/mp3splt-gtk_0.5.6-1.2_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 585614@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Tim Retout <diocles@debian.org> (supplier of updated mp3splt-gtk package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 03 Oct 2010 12:46:50 +0100
Source: mp3splt-gtk
Binary: mp3splt-gtk
Architecture: source amd64
Version: 0.5.6-1.2
Distribution: unstable
Urgency: low
Maintainer: Ryan Niebur <ryanryan52@gmail.com>
Changed-By: Tim Retout <diocles@debian.org>
Description: 
 mp3splt-gtk - GTK interface to split MP3 and Ogg Vorbis files without reencodin
Closes: 585614
Changes: 
 mp3splt-gtk (0.5.6-1.2) unstable; urgency=low
 .
   * Non-maintainer upload.
   * debian/control: Add Recommends on gstreamer0.10-plugins-good.
     (Closes: #585614)
Checksums-Sha1: 
 7e6f4156cedbd26aea108905085efa84c3389ee0 1307 mp3splt-gtk_0.5.6-1.2.dsc
 868cc0753d8d1e0204b332c6ed6101a2aefd15e6 2896 mp3splt-gtk_0.5.6-1.2.diff.gz
 6d4901cb5979b5adc591c9943be54dd503cfe908 97678 mp3splt-gtk_0.5.6-1.2_amd64.deb
Checksums-Sha256: 
 4c2d7225cbaad3413bccddc62570298272da977b18939f9f76ef147d6d8c3a22 1307 mp3splt-gtk_0.5.6-1.2.dsc
 9d82c410a3bf142951ce85fc40bffe555723b095da7e47d61d3d78248b0ec2f7 2896 mp3splt-gtk_0.5.6-1.2.diff.gz
 0b972bf5c01937fe86744ca3f732e7ba3b0bd0c6a145801c6b48836133a37d80 97678 mp3splt-gtk_0.5.6-1.2_amd64.deb
Files: 
 125bd7af927c6868a8578761a7b0079c 1307 sound optional mp3splt-gtk_0.5.6-1.2.dsc
 3fd1ac08e9ec5f7107056e02bca43c25 2896 sound optional mp3splt-gtk_0.5.6-1.2.diff.gz
 b4d24a0be392ffddc9f0ca9a9202ad8b 97678 sound optional mp3splt-gtk_0.5.6-1.2_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkyodUMACgkQOHNNd4eQFFJhMQCg5M1ThhF2vcpBppyWiq0aN3WA
AlcAniPn+ipPOMSGxyPDrVHlqOwpbqQh
=0dzR
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Ryan Niebur <ryanryan52@gmail.com>:
Bug#585614; Package mp3splt-gtk. (Tue, 05 Oct 2010 21:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tim Retout <diocles@debian.org>:
Extra info received and forwarded to list. Copy sent to Ryan Niebur <ryanryan52@gmail.com>. (Tue, 05 Oct 2010 21:15:04 GMT) Full text and rfc822 format available.

Message #56 received at 585614@bugs.debian.org (full text, mbox):

From: Tim Retout <diocles@debian.org>
To: Ron <ron@debian.org>
Cc: 585614@bugs.debian.org
Subject: Re: Bug#585614: Fails to open any mp3's to split
Date: Tue, 05 Oct 2010 22:12:06 +0100
[Message part 1 (text/plain, inline)]
reopen 585614
thanks

On Tue, 2010-10-05 at 21:17 +1030, Ron wrote: 
> Hi Tim,
> 
> Thanks for adding some extra perspective to this, but it still
> seems to be a bit more complicated than that :/

> I do have -plugins-good installed here.

Hmmmm. :(  My NMU has been accepted already, but I think that's all
right - there was definitely a missing dependency on the -good plugins.

> For most files I toss at it, today I currently see in the bottom bar:
> gstreamer error: internal data flow error
> 
> and then it hangs hard.  I tried that with both .ogg (vorbis) and mp3
> files.  I did find a couple of files that it doesn't hang on - except
> it doesn't actually seem to find any content in them, it both 'plays'
> and shows silence in the display.  The ones that partly work all seem
> to be 'oddball' files in one manner or another - they are all mono,
> and at sampling rates other than 44100.  Every stereo 44100 file I've
> tossed at it so far seems to hang.  The oddball files are also a mix
> of .ogg and .mp3
> 
> Of gstreamer, I currently have installed:
> 
> $ dpkg -l | grep gstreamer
> ii  gstreamer0.10-alsa               0.10.29-4  GStreamer plugin for ALSA
> ii  gstreamer0.10-ffmpeg             0.10.10-1  FFmpeg plugin for GStreamer
> ii  gstreamer0.10-plugins-base       0.10.29-4  GStreamer plugins from the "base" set
> ii  gstreamer0.10-plugins-good       0.10.23-4  GStreamer plugins from the "good" set
> ii  gstreamer0.10-x                  0.10.29-4  GStreamer plugins for X11 and Pango
> ii  libgstreamer-plugins-base0.10-0  0.10.29-4  GStreamer libraries from the "base" set
> ii  libgstreamer0.10-0               0.10.29-1  Core GStreamer libraries and elements

That seems vaguely recent.  You might want to install the -ugly plugins
too, which contains libgstmpegaudioparse.so and other promising-looking
names.

Can you try running:

  gst-launch-0.10 playbin uri=file:///path/to/the.mp3

I think there's a bigger problem with mp3splt-gtk here - it shouldn't
crash and burn when gstreamer throws an error.  But that actually
requires a patch...

If installing the -ugly plugins makes it work, maybe this bug could be
downgraded to "important"?  It's just a crash in an error case, by that
point.

-- 
Tim Retout <diocles@debian.org>

[signature.asc (application/pgp-signature, inline)]

Bug No longer marked as fixed in versions mp3splt-gtk/0.5.6-1.2 and reopened. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 05 Oct 2010 21:15:11 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Ryan Niebur <ryanryan52@gmail.com>:
Bug#585614; Package mp3splt-gtk. (Wed, 06 Oct 2010 13:03:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ron <ron@debian.org>:
Extra info received and forwarded to list. Copy sent to Ryan Niebur <ryanryan52@gmail.com>. (Wed, 06 Oct 2010 13:03:13 GMT) Full text and rfc822 format available.

Message #63 received at 585614@bugs.debian.org (full text, mbox):

From: Ron <ron@debian.org>
To: Tim Retout <diocles@debian.org>
Cc: 585614@bugs.debian.org
Subject: Re: Bug#585614: Fails to open any mp3's to split
Date: Wed, 6 Oct 2010 23:24:11 +1030
On Tue, Oct 05, 2010 at 10:12:06PM +0100, Tim Retout wrote:
> reopen 585614
> thanks
> 
> On Tue, 2010-10-05 at 21:17 +1030, Ron wrote: 
> > Hi Tim,
> > 
> > Thanks for adding some extra perspective to this, but it still
> > seems to be a bit more complicated than that :/
> 
> > I do have -plugins-good installed here.
> 
> Hmmmm. :(  My NMU has been accepted already, but I think that's all
> right - there was definitely a missing dependency on the -good plugins.

Yeah, I saw that come just after my mail ;)

> > For most files I toss at it, today I currently see in the bottom bar:
> > gstreamer error: internal data flow error
> > 
> > and then it hangs hard.  I tried that with both .ogg (vorbis) and mp3
> > files.  I did find a couple of files that it doesn't hang on - except
> > it doesn't actually seem to find any content in them, it both 'plays'
> > and shows silence in the display.  The ones that partly work all seem
> > to be 'oddball' files in one manner or another - they are all mono,
> > and at sampling rates other than 44100.  Every stereo 44100 file I've
> > tossed at it so far seems to hang.  The oddball files are also a mix
> > of .ogg and .mp3
> > 
> > Of gstreamer, I currently have installed:
> > 
> > $ dpkg -l | grep gstreamer
> > ii  gstreamer0.10-alsa               0.10.29-4  GStreamer plugin for ALSA
> > ii  gstreamer0.10-ffmpeg             0.10.10-1  FFmpeg plugin for GStreamer
> > ii  gstreamer0.10-plugins-base       0.10.29-4  GStreamer plugins from the "base" set
> > ii  gstreamer0.10-plugins-good       0.10.23-4  GStreamer plugins from the "good" set
> > ii  gstreamer0.10-x                  0.10.29-4  GStreamer plugins for X11 and Pango
> > ii  libgstreamer-plugins-base0.10-0  0.10.29-4  GStreamer libraries from the "base" set
> > ii  libgstreamer0.10-0               0.10.29-1  Core GStreamer libraries and elements
> 
> That seems vaguely recent.  You might want to install the -ugly plugins
> too, which contains libgstmpegaudioparse.so and other promising-looking
> names.

Installing -ugly and the couple of extra things it pulled in, doesn't seem
to change anything here.

> Can you try running:
> 
>   gst-launch-0.10 playbin uri=file:///path/to/the.mp3

Grabbing gstreamer0.10-tools to get that, also updated me to
libgstreamer0.10-0 0.10.30-1, which does seem to have altered how it fails.

I get the 'same' result from playbin as I see in mp3splt-gtk: the mono ogg
"plays" for its full duration, but it plays silence not the content. And
the stereo 44k one fails completely.  It no longer completely hangs the
gui solid though, I see the same 'internal data flow error', but the gui
remains responsive and I can do other things and open other files now.

If I hit the play button a couple of times, mp3splt-gtk barks to the console:
(mp3splt-gtk:4280): GStreamer-CRITICAL **: Failed to deactivate pad oggdemux1:sink, very bad

The output of playbin is:

$ gst-launch-0.10 playbin uri=file:///home/ron/bad.ogg
Setting pipeline to PAUSED ...
Pipeline is PREROLLING ...
ERROR: from element /GstPlayBin:playbin0/GstBin:abin/GstAutoAudioSink:audiosink/GstAlsaSink:audiosink-actual-sink-alsa: Could not get/set settings from/on resource.
Additional debug info:
gstalsasink.c(516): set_hwparams (): /GstPlayBin:playbin0/GstBin:abin/GstAutoAudioSink:audiosink/GstAlsaSink:audiosink-actual-sink-alsa:
Unable to set hw params for playback: Invalid argument
ERROR: pipeline doesn't want to preroll.
Setting pipeline to NULL ...
Freeing pipeline ...

$ gst-launch-0.10 playbin uri=file:///home/ron/better.ogg 
Setting pipeline to PAUSED ...
Pipeline is PREROLLING ...
Pipeline is PREROLLED ...
Setting pipeline to PLAYING ...
New clock: GstAudioSinkClock
Got EOS from element "playbin0".
Execution ended after 8235649061 ns.
Setting pipeline to PAUSED ...
Setting pipeline to READY ...
Setting pipeline to NULL ...
Freeing pipeline ...

> I think there's a bigger problem with mp3splt-gtk here - it shouldn't
> crash and burn when gstreamer throws an error.  But that actually
> requires a patch...

That was my bet before I saw the above too...

> If installing the -ugly plugins makes it work, maybe this bug could be
> downgraded to "important"?  It's just a crash in an error case, by that
> point.

Well I'm less sure it is a bug in mp3splt-gtk now, beyond the dep that
you already fixed.  Upstream swears that it Works For Him, and it works
for you -- and now it doesn't even really seem to do something I can
blame on the app itself.  If the app is just "using gstreamer", and it
seems to do what the gstreamer native tools do -- then I guess gstreamer
just doesn't like me for some reason...

Audacity works fine on this box, and everything else I've used before
these two...

Am I missing something, or should we punt this to some gstreamer-* now?

Thanks,
Ron






Information forwarded to debian-bugs-dist@lists.debian.org, Ryan Niebur <ryanryan52@gmail.com>:
Bug#585614; Package mp3splt-gtk. (Wed, 06 Oct 2010 21:30:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tim Retout <diocles@debian.org>:
Extra info received and forwarded to list. Copy sent to Ryan Niebur <ryanryan52@gmail.com>. (Wed, 06 Oct 2010 21:30:07 GMT) Full text and rfc822 format available.

Message #68 received at 585614@bugs.debian.org (full text, mbox):

From: Tim Retout <diocles@debian.org>
To: Ron <ron@debian.org>
Cc: 585614@bugs.debian.org
Subject: Re: Bug#585614: Fails to open any mp3's to split
Date: Wed, 6 Oct 2010 22:27:21 +0100
010 13:54, Ron <ron@debian.org> wrote:
> Grabbing gstreamer0.10-tools to get that, also updated me to
> libgstreamer0.10-0 0.10.30-1, which does seem to have altered how it fails.

I think it would be worth upgrading the other gstreamer packages, to
confirm this playback bug still occurs.

> If the app is just "using gstreamer", and it
> seems to do what the gstreamer native tools do -- then I guess gstreamer
> just doesn't like me for some reason...

Yes, this is part of it - I think there are three issues here:

- an mp3splt-gtk dependency problem (the bug I fixed)
- mp3splt-gtk crashing when gstreamer throws an error (imho severity
"important")
- a gstreamer problem with playing your files (needs confirming with
latest packages)

I'd like the first one to migrate to squeeze...

-- 
Tim Retout <diocles@debian.org>




Information forwarded to debian-bugs-dist@lists.debian.org, Ryan Niebur <ryanryan52@gmail.com>:
Bug#585614; Package mp3splt-gtk. (Thu, 07 Oct 2010 15:39:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ron <ron@debian.org>:
Extra info received and forwarded to list. Copy sent to Ryan Niebur <ryanryan52@gmail.com>. (Thu, 07 Oct 2010 15:39:06 GMT) Full text and rfc822 format available.

Message #73 received at 585614@bugs.debian.org (full text, mbox):

From: Ron <ron@debian.org>
To: Tim Retout <diocles@debian.org>
Cc: 585614@bugs.debian.org
Subject: Re: Bug#585614: Fails to open any mp3's to split
Date: Fri, 8 Oct 2010 01:56:42 +1030
On Wed, Oct 06, 2010 at 10:27:21PM +0100, Tim Retout wrote:
> 010 13:54, Ron <ron@debian.org> wrote:
> > Grabbing gstreamer0.10-tools to get that, also updated me to
> > libgstreamer0.10-0 0.10.30-1, which does seem to have altered how it fails.
> 
> I think it would be worth upgrading the other gstreamer packages, to
> confirm this playback bug still occurs.

Updating the rest of the gstreamer-* I have here doesn't seem to change
anything new over what I saw yesterday.  Apparently I was also missing
alsa-base which one of them recommended, but installing it also changed
nothing more about this.

I'm now on:

$ dpkg -l | grep gstreamer
ii  gstreamer0.10-alsa               0.10.30-1  GStreamer plugin for ALSA
ii  gstreamer0.10-ffmpeg             0.10.10-1  FFmpeg plugin for GStreamer
ii  gstreamer0.10-plugins-base       0.10.30-1  GStreamer plugins from the "base" set
ii  gstreamer0.10-plugins-good       0.10.24-1  GStreamer plugins from the "good" set
ii  gstreamer0.10-plugins-ugly       0.10.15-1  GStreamer plugins from the "ugly" set
ii  gstreamer0.10-tools              0.10.30-1  Tools for use with GStreamer
ii  gstreamer0.10-x                  0.10.30-1  GStreamer plugins for X11 and Pango
ii  libgstreamer-plugins-base0.10-0  0.10.30-1  GStreamer libraries from the "base" set
ii  libgstreamer0.10-0               0.10.30-1  Core GStreamer libraries and elements


> > If the app is just "using gstreamer", and it
> > seems to do what the gstreamer native tools do -- then I guess gstreamer
> > just doesn't like me for some reason...
> 
> Yes, this is part of it - I think there are three issues here:
> 
> - an mp3splt-gtk dependency problem (the bug I fixed)
> - mp3splt-gtk crashing when gstreamer throws an error (imho severity
> "important")
> - a gstreamer problem with playing your files (needs confirming with
> latest packages)
> 
> I'd like the first one to migrate to squeeze...

Are you saying you still see the gui crash?  That stopped happening for me
when I updated what came with -tools.  So far as I can see since then, the
gui is well behaved and consistent with what gstreamer seems to be feeding
its own apps.

The only problem I see remaining here is which gstreamer package to clone
this to next.  For mp3splt-gtk, it's just an 'affects' thing now to me.

I may be running a newer upstream than you are though...  if it is crashing
for you, could you try a build of the packages at:
 git://git.debian.org/users/ron/mp3splt.git

That didn't resolve anything about this for me initially, but with the new
gstreamer it seems to be as good as I can expect.  If you can ack that the
crash is gone, I'm happy to see this migrate to squeeze, and we'll sort out
the gstreamer part of it separately.

Cheers,
Ron






Information forwarded to debian-bugs-dist@lists.debian.org, Ryan Niebur <ryanryan52@gmail.com>:
Bug#585614; Package mp3splt-gtk. (Thu, 07 Oct 2010 17:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tim Retout <diocles@debian.org>:
Extra info received and forwarded to list. Copy sent to Ryan Niebur <ryanryan52@gmail.com>. (Thu, 07 Oct 2010 17:57:03 GMT) Full text and rfc822 format available.

Message #78 received at 585614@bugs.debian.org (full text, mbox):

From: Tim Retout <diocles@debian.org>
To: Ron <ron@debian.org>
Cc: 585614@bugs.debian.org
Subject: Re: Bug#585614: Fails to open any mp3's to split
Date: Thu, 7 Oct 2010 18:56:16 +0100
clone 585614 -1
reassign -1 gstreamer0.10-alsa
retitle -1 audiosink-actual-sink-alsa: Unable to set hw params for
playback: Invalid argument
fixed 585614 0.5.6-1.2
close 585614
thanks

On 7 October 2010 16:26, Ron <ron@debian.org> wrote:
> Are you saying you still see the gui crash?  That stopped happening for me
> when I updated what came with -tools.  So far as I can see since then, the
> gui is well behaved and consistent with what gstreamer seems to be feeding
> its own apps.

Ah right - no, I've not seen it crash while the -good plugins are
installed; it was a theoretical crash.  So I'll close the mp3splt-gtk
bug again.

And first I'm cloning this bug to gstreamer0.10-alsa, since the
visible errors look alsa-related. Someone who knows more about
gstreamer might be able to guide you through the --gst-debug options
to gst-launch-0.10, and possibly reassign the bug further.

Thanks,

-- 
Tim Retout <diocles@debian.org>




Bug 585614 cloned as bug 599462. Request was from Tim Retout <diocles@debian.org> to control@bugs.debian.org. (Thu, 07 Oct 2010 17:57:03 GMT) Full text and rfc822 format available.

Bug Marked as fixed in versions mp3splt-gtk/0.5.6-1.2. Request was from Tim Retout <diocles@debian.org> to control@bugs.debian.org. (Thu, 07 Oct 2010 17:57:08 GMT) Full text and rfc822 format available.

Bug closed, send any further explanations to Ron <ron@debian.org> Request was from Tim Retout <diocles@debian.org> to control@bugs.debian.org. (Thu, 07 Oct 2010 17:57:08 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 14 Nov 2010 07:31:17 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 21:25:59 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.